FIX::DataDictionaryNotFound Struct Reference

DataDictionary not found for BeginString or ApplVerID. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::DataDictionaryNotFound:
[legend]
Collaboration diagram for FIX::DataDictionaryNotFound:
[legend]

## Public Member Functions

| DataDictionaryNotFound (const std::string &v, const std::string &what="")
| ~DataDictionaryNotFound () throw ()
Public Member Functions inherited from FIX::Exception
| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Public Attributes

std::string | version
Public Attributes inherited from FIX::Exception
std::string | type
std::string | detail

## Detailed Description

DataDictionary not found for BeginString or ApplVerID.

Definition at line 63 of file Exceptions.h.

## Constructor & Destructor Documentation

## DataDictionaryNotFound()

FIX::DataDictionaryNotFound::DataDictionaryNotFound | ( | const std::string & | v,
|  | const std::string & | what = `""`
| ) |  |

inline

Definition at line 65 of file Exceptions.h.

: public Exception
{

## ~DataDictionaryNotFound()

FIX::DataDictionaryNotFound::~DataDictionaryNotFound | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 68 of file Exceptions.h.

: Exception( "Could not convert field", what ) {}

## Member Data Documentation

## version

std::string FIX::DataDictionaryNotFound::version

Definition at line 70 of file Exceptions.h.

The documentation for this struct was generated from the following file:

- Exceptions.h

FIX::Exception::Exception
Exception(const std::string &t, const std::string &d)
Definition: Exceptions.h:69